[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPDataHashTable.Iterate

Iterate over the pointers in the hash table

## Declaration

Source position: contnrs.pp line 418

`public function TFPDataHashTable.Iterate(`
`aMethod: TDataIteratorMethod`
`):Pointer; virtual;`

## Arguments

`aMethod` |  | Method to call for each pointer in the hash table.

## Function result

Nil or the pointer that caused the iteration to abort.

## Description

Iterate iterates over all elements in the array, calling aMethod for each pointer, or until the method returns False in its continue parameter. It returns Nil if all elements were processed, or the pointer that was being processed when aMethod returned False in the Continue parameter.

## See also

ForeachCall

Documentation generated on: Feb 26 2014